GDB (xrefs)

Functions
aarch64-linux.c File Reference
`#include "common-defs.h"`
`#include "break-common.h"`
`#include "nat/linux-nat.h"`
`#include "nat/aarch64-linux-hw-point.h"`
`#include "nat/aarch64-linux.h"`
`#include "elf/common.h"`
`#include "nat/gdb_ptrace.h"`
`#include <asm/ptrace.h>`
`#include <sys/uio.h>`

Go to the source code of this file.

## Functions
void | aarch64_linux_prepare_to_resume (struct lwp_info *lwp)
void | aarch64_linux_new_thread (struct lwp_info *lwp)
void | aarch64_linux_delete_thread (struct arch_lwp_info *arch_lwp)
void | aarch64_compat_siginfo_from_siginfo (compat_siginfo_t *to, siginfo_t *from)
void | aarch64_siginfo_from_compat_siginfo (siginfo_t *to, compat_siginfo_t *from)
ps_err_e | aarch64_ps_get_thread_area (struct ps_prochandle *ph, lwpid_t lwpid, int idx, void **base, int is_64bit_p)

## Function Documentation

## ◆ aarch64_compat_siginfo_from_siginfo()

void aarch64_compat_siginfo_from_siginfo | ( | compat_siginfo_t * | to,
|  | siginfo_t * | from
| ) |  |

Definition at line 99 of file aarch64-linux.c.

References memset(), compat_siginfo::si_code, compat_siginfo::si_errno, and compat_siginfo::si_signo.

Referenced by aarch64_linux_siginfo_fixup().

## ◆ aarch64_linux_delete_thread()

void aarch64_linux_delete_thread | ( | struct arch_lwp_info * | arch_lwp | ) |

Definition at line 90 of file aarch64-linux.c.

References xfree().

Referenced by _initialize_aarch64_linux_nat().

## ◆ aarch64_linux_new_thread()

void aarch64_linux_new_thread | ( | struct lwp_info * | lwp | ) |

Definition at line 74 of file aarch64-linux.c.

References aarch64_num_bp_regs, aarch64_num_wp_regs, arch_lwp_info::dr_changed_bp, arch_lwp_info::dr_changed_wp, DR_MARK_ALL_CHANGED, selftests::ptid::lwp, lwp_set_arch_private_info(), and XNEW.

Referenced by _initialize_aarch64_linux_nat().

## ◆ aarch64_linux_prepare_to_resume()

void aarch64_linux_prepare_to_resume | ( | struct lwp_info * | lwp | ) |

Definition at line 34 of file aarch64-linux.c.

References aarch64_get_debug_reg_state(), aarch64_linux_set_debug_regs(), debug_printf(), arch_lwp_info::dr_changed_bp, arch_lwp_info::dr_changed_wp, DR_CLEAR_CHANGED, DR_HAS_CHANGED, selftests::ptid::lwp, lwp_arch_private_info(), ptid_get_lwp(), ptid_get_pid(), ptid_of_lwp(), show_debug_regs, and selftests::ptid::tid.

Referenced by _initialize_aarch64_linux_nat().

## ◆ aarch64_ps_get_thread_area()

ps_err_e aarch64_ps_get_thread_area | ( | struct ps_prochandle * | ph,
|  | lwpid_t | lwpid,
|  | int | idx,
|  | void ** | base,
|  | int | is_64bit_p
| ) |  |

Definition at line 216 of file aarch64-linux.c.

References PS_ERR, PS_OK, ptrace(), and PTRACE_GETREGSET.

Referenced by ps_get_thread_area().

## ◆ aarch64_siginfo_from_compat_siginfo()

void aarch64_siginfo_from_compat_siginfo | ( | siginfo_t * | to,
|  | compat_siginfo_t * | from
| ) |  |

Definition at line 157 of file aarch64-linux.c.

References memset(), compat_siginfo::si_code, compat_siginfo::si_errno, and compat_siginfo::si_signo.

Referenced by aarch64_linux_siginfo_fixup().